#ifndef _CWinNTCoroutine_h_
#define _CWinNTCoroutine_h_

#ifdef _WIN32

#ifdef _COROUTINE_DLL
#define ExportStatus _declspec(dllexport)
#else
#define ExportStatus _declspec(dllimport)
#endif

#else

#define ExportStatus

#endif

#include <assert.h>


/////////////////////////////////////////////////////////

class ExportStatus CTargetPlatformCoroutine : public CCoroutine {
public:
	CTargetPlatformCoroutine(unsigned stackSizeInBytes = DEFSTACKSIZE);

	virtual ~CTargetPlatformCoroutine();

	virtual void go(){assert(0);}

	virtual void resume(CCoroutine *next);
};

#endif
