// (C) Steve JORDI - 1996-1999
// All this code is copyrighted by Steve Jordi and
// cannot be reproduced without the consent of the author.
// The executable may be freely distributed.
//
// MAKE  SURE  TO  UNDERSTAND  AND  ACCEPT  THE STATEMENTS BELOW
// BEFORE USING THE SOFTWARE:
//
// THIS PROGRAM  IS  PROVIDED  "AS IS"  WITHOUT  WARRANTY OF ANY
// KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED
// TO  THE  IMPLIED  WARRANTIES  OF MERCHANTABILITY  AND FITNESS
// FOR  A  PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY
// AND   PERFORMANCE  OF  THE  PROGRAM  IS  WITH YOU. SHOULD THE
// PROGRAM  PROVE   DEFECTIVE,  YOU   (NOT  STEVE JORDI)  ASSUME
// THE ENTIRE COST OF ALL  NECESSARY   SERVICING,   REPAIR,   OR
// CORRECTION. IN NO EVENT WILL STEVE JORDI BE LIABLE TO YOU FOR
// ANY  DAMAGES ,  INCLUDING ANY LOST PROFITS,  LOST SAVINGS, OR
// OTHER INCIDENTAL OR CONSEQUENTIAL DAMAGES  ARISING OUT OF THE
// USE OR INABILITY TO USE  SUCH  PROGRAM  EVEN  IF  STEVE JORDI
// HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES,   OR FOR
// ANY  CLAIM BY ANY OTHER PARTY.
// ALSO, USE IT IN LIFE THREATENING SITUATIONS AT YOUR OWN RISKS
// (SUCH AS VOLCANO MONITORING). STEVE JORDI CANNOT BE ACCOUNTED
// AS RESPONSIBLE FOR ANY LIFE OR PROPERTY LOST IN CASE AN ALARM
// SYSTEM HAD A MALFUNCTION OR WAS NOT ABLE TO CORRECTLY  BEHAVE
// IN A CRISIS ENVIRONMENT.
//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include "splashform.h"
#pragma hdrstop
//---------------------------------------------------------------------------
USEFORM("Main.cpp", MainToolBar);
USERES("Tiltmeters.res");
USEFORM("Chart.cpp", ChartForm);
USEFORM("Config.cpp", Configure);
USEFORM("DirSel.cpp", DirSelectForm);
USEFORM("Password.cpp", PasswordAccess);
USEFORM("ChPwd.cpp", ChPwdDialog);
USEFORM("About.cpp", AboutForm);
USEFORM("Emails.cpp", EmailForm);
USEFORM("Battery.cpp", BatteryForm);
USEFORM("splashform.cpp", MainSplash);
USEUNIT("SearchFile.cpp");
USELIB("..\CBuilder\Add Ons\Proess\Builder\pegrp32a.lib");
USEFORM("UpdateInfo.cpp", InfoForm);
//---------------------------------------------------------------------------
TMainSplash* MainSplash;

//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
	try
	{
		Application->Initialize();
		// Add the splash
//      MainSplash = new TMainSplash(static_cast<void*>(NULL));
      MainSplash = new TMainSplash(Application);
      MainSplash->Show() ;
      MainSplash->Update() ;
      Application->ProcessMessages() ;
		Application->CreateForm(__classid(TMainToolBar), &MainToolBar);
      Application->CreateForm(__classid(TChartForm), &ChartForm);
      Application->CreateForm(__classid(TDirSelectForm), &DirSelectForm);
      Application->CreateForm(__classid(TPasswordAccess), &PasswordAccess);
      Application->CreateForm(__classid(TChPwdDialog), &ChPwdDialog);
      Application->CreateForm(__classid(TAboutForm), &AboutForm);
      Application->CreateForm(__classid(TEmailForm), &EmailForm);
      Application->CreateForm(__classid(TBatteryForm), &BatteryForm);
      Application->CreateForm(__classid(TInfoForm), &InfoForm);
      Application->Run();
	}
	catch (Exception &exception)
	{
		Application->ShowException(&exception);
	}
	return 0;
}
//---------------------------------------------------------------------------

