#ifndef _CCoroutine_h_
#define _CCoroutine_h_

#ifdef _WIN32

#ifdef _COROUTINE_DLL
#define ExportStatus _declspec(dllexport)
#else
#define ExportStatus _declspec(dllimport)
#endif

#else

#define ExportStatus

#endif

#define DEFSTACKSIZE   -1
#define INITCOROUTINE  -2

class ExportStatus CCoroutine {
public:

    CCoroutine(unsigned stackSizeInBytes = DEFSTACKSIZE){};
	virtual ~CCoroutine(){};

	static CCoroutine *initialize();

	virtual void go() = 0;

	virtual void resume(CCoroutine *next) = 0;


public:
	class CCoroutineState *state_;

};

#endif
